## sphinx-jinja2-compat 0.4.1

=== requirements.txt ===
jinja2>=2.10
markupsafe>=1
standard-imghdr==3.10.14; python_version >= "3.13"

## sphinx-jinja2-compat 0.3.0

=== debian/changelog ===
sphinx-jinja2-compat (0.3.0-2) unstable; urgency=medium

  * Team upload
  * Source only upload

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 15 Sep 2024 10:30:40 +0200

sphinx-jinja2-compat (0.3.0-1) unstable; urgency=medium

  * [9724686] New upstream version 0.3.0
  * [632846e] Initial Debianization
    (Closes: #1078664)

 -- Kathara Sasikumar <katharasasikumar007@gmail.com>  Sat, 31 Aug 2024 14:56:26 +0530

=== debian/control ===
Source: sphinx-jinja2-compat
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Kathara Sasikumar <katharasasikumar007@gmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
Build-Depends-Indep:
 pybuild-plugin-pyproject,
 python3-whey,
 python3-whey-pth,
Standards-Version: 4.7.0
Homepage: https://github.com/sphinx-toolbox/sphinx-jinja2-compat
Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-jinja2-compat
Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx-jinja2-compat.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-sphinx-jinja2-compat
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Patches Jinja2 v3 for compatibility with earlier Sphinx (Python 3)
 This module can let Sphinx work with a patched Jinja2 v3 so it's compatible
 with previous and older versions again.a It also makes Sphinx versions work
 correctly on Python 3.10.
 .
 This package installs the library for Python 3.

=== debian/watch ===
version=4

opts="mode=git, \
      compression=gz, \
      pgpmode=none, \
      uversionmangle=s/(\d)[_\.\-\+]?((alpha|beta|post|pre|dev|RC|rc)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/sphinx-toolbox/sphinx-jinja2-compat.git \
      refs/tags/@ANY_VERSION@

## sphinx-jinja2-compat 0.4.1

=== debian/changelog ===
sphinx-jinja2-compat (0.4.1-1) unstable; urgency=medium

  * Team upload
  * [1294316] d/watch: Convert to version 5
  * [39f5372] New upstream version 0.4.1
  * [093208e] d/control: Remove Rules-Requires-Root
  * [736c297] d/control: Bump Standards-Version to 4.7.2
  * [b5a2e99] d/copyright: Update upstream year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 28 Aug 2025 17:32:13 +0200

=== debian/control ===
--- 
+++ 
@@ -12,12 +12,11 @@
  pybuild-plugin-pyproject,
  python3-whey,
  python3-whey-pth,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/sphinx-toolbox/sphinx-jinja2-compat
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-jinja2-compat
 Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx-jinja2-compat.git
 Testsuite: autopkgtest-pkg-python
-Rules-Requires-Root: no
 
 Package: python3-sphinx-jinja2-compat
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

export PYBUILD_NAME=sphinx_jinja2_compat
# This package has no useful tests, atm there is only on file test-imports.py
# that is acting some assert calls using hasattr().
export PYBUILD_DISABLE=test

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .mypy_cache .pytest_cache

=== debian/watch ===
Version: 5

Source: https://github.com/sphinx-toolbox/sphinx-jinja2-compat.git
Matching-Pattern: refs/tags/@ANY_VERSION@
Compression: gz
Dversionmangle: s/\+ds(\.?\d+)?$//
Mode: git
Pgpmode: none
Uversionmangle: s/(\d)[_\.\-\+]?((alpha|beta|post|pre|dev|RC|rc)\.?\d*)$/$1~$2/
